Loading...
Searching...
No Matches
packet

## Classes

class | etl::packet< TBase, SIZE, ALIGNMENT >

## Detailed Description

A class that can contain one a several related types.

## Class Documentation

## etl::packet

class etl::packet

template<typename TBase, size_t SIZE, size_t ALIGNMENT>
class etl::packet< TBase, SIZE, ALIGNMENT >

A template class that can store any types derived from TBase that conform to the size and alignment requirements.

### Public Types

typedef TBase | base_t

### Public Member Functions

template<typename T>
| packet (const T &value)
| ~packet ()
| Destructor.
template<typename T>
packet & | operator= (const T &value)
TBase & | get ()
| Get access to the contained object.
const TBase & | get () const
| Get access to the contained object.

#### Constructor & Destructor Documentation

## packet()

template<typename TBase, size_t SIZE, size_t ALIGNMENT>
template<typename T>

etl::packet< TBase, SIZE, ALIGNMENT >::packet | ( | const T & | value | ) |

inline explicit

Constructor that static asserts any types that do not conform to the max size and alignment.

#### Member Function Documentation

## operator=()

template<typename TBase, size_t SIZE, size_t ALIGNMENT>
template<typename T>

packet & etl::packet< TBase, SIZE, ALIGNMENT >::operator= | ( | const T & | value | ) |

inline

Assignment operator for type.

Parameters

  value | The value to assign.